package com.propertyManagement.pay.support.pay;

import com.siashan.unipay4j.biz.PayBiz;
import com.siashan.unipay4j.core.pay.*;
import com.siashan.unipay4j.core.transfer.ITransfer;

import java.util.Map;

/**
 * 支付服务商
 *
 * @author siashan
 * @date 2023/10/5
 * @since v1.2.3
 **/
public interface ICmsUnipayProvider {

   public IPayment getPayment(Long orderId, Map<String, PayBiz> bizMap, String mchCode, String appCode, String bizCode);
   public IQuery getQuery(Map<String, PayBiz> bizMap, String mchCode, String appCode, String bizCode);
   IClose getClose(Map<String, PayBiz> bizMap, String mchCode, String appCode, String bizCode);
   IRefund getRefund(Long orderId, Map<String, PayBiz> bizMap,String mchCode, String appCode, String bizCode);

   INotify getNotify(String mchCode, String appCode);
   ITransfer getTransfer(String mchCode, String appCode);
}
